## gnome-desktop 44.3

=== debian/changelog ===
gnome-desktop (44.3-4) unstable; urgency=medium

  * Team upload
  * Build-depend on gir1.2-*-dev and gobject-introspection.
    libgirepository1.0-dev is not Multi-Arch-friendly and should be
    phased out.
  * Explicitly Build-Depend on required gir1.2-*-dev packages.
    In practice these are provided by the lib*-dev build-dependencies,
    but listing them explicitly is an enabler for being able to implement
    the <!nogir> build-profile in those packages.
  * Standards-Version: 4.7.2 (no changes required)

 -- Simon McVittie <smcv@debian.org>  Fri, 15 Aug 2025 10:56:28 +0100

gnome-desktop (44.3-3) unstable; urgency=medium

  * Team upload
  * Upload to unstable

 -- Simon McVittie <smcv@debian.org>  Thu, 12 Jun 2025 21:10:40 +0100

gnome-desktop (44.3-2) experimental; urgency=medium

  * Team upload
  * d/p/debian/Revert-default-IM-for-zh_HK-to-ibus-table-cangjie5.patch:
    Revert default IM for zh_HK to ibus-table-cangjie5 for now.
    I've asked on #1107525 whether we should follow upstream by moving to
    the ibus-cangjie package as the default input method for
    Chinese (Hong Kong), or keep Debian 12 behaviour by using the
    ibus-table-cangjie5 package. Until we have a recommendation from
    Chinese speakers, it seems like the conservative option is to keep
    the Debian 12 behaviour.

 -- Simon McVittie <smcv@debian.org>  Mon, 09 Jun 2025 18:53:43 +0100

gnome-desktop (44.3-1) experimental; urgency=medium

  * Team upload
  * New upstream release
    - zh_HK, Chinese (Hong Kong) now defaults to ibus-cangjie instead of
      ibus-table-cangjie5, reverting a change made before bookworm
      (see #1107525)
    - format times with U+003A COLON instead of U+2236 RATIO, avoiding display
      issues in right-to-left languages and in fonts that don't contain U+2236
    - only build GObject-Introspection data if requested
      (unnecessary but harmless in Debian)
    - make build system compatible with being used from a subproject
      (unnecessary but harmless in Debian)
    - silence a false-positive compiler warning with -Wmaybe-uninitialized
    - translation updates
    - CI/release-management changes (not relevant to Debian)
  * d/p/gnome-bg-only-parse-XML-files-as-slideshows.patch:
    Drop patch, included in the new upstream release
  * d/patches: Refresh remaining patches (no functional changes)
  * d/copyright: Remove details of tests/wallclock-reftest, no longer included

 -- Simon McVittie <smcv@debian.org>  Sun, 08 Jun 2025 18:02:58 +0100

gnome-desktop (44.1-2) unstable; urgency=medium

  * Team upload
  * d/p/gnome-bg-only-parse-XML-files-as-slideshows.patch:
    Add patch from upstream to improve performance of
    gnome-control-center's Background panel, by not attempting to parse
    binary image files as XML
  * d/upstream/metadata: Add Archive and Security-Contact
  * d/control: Add ${gir:Depends}, ${gir:Provides} to all -dev packages
  * d/control: Explicitly build-depend on pkgconf
  * d/control: Wrap a long line
  * d/control: Use dpkg build API v1
  * d/control: Remove transitional libgnome-desktop-3-dev-bin package.
    This was already an empty transitional package in Debian 12.
  * d/control: Remove Gunnar Hjalmarsson from Uploaders, with thanks for
    previous work on this package (Closes: #1069560)
  * d/tests: Use pkgconf in preference to pkg-config
  * d/tests: Rely on $AUTOPKGTEST_TMP
  * d/tests: Use a cross gcc and pkgconf if appropriate
  * Remove unused lintian overrides left over from the t64 transition.
    lintian now recognises t64 as a valid suffix to be applied to
    systematically-named shared library packages.

 -- Simon McVittie <smcv@debian.org>  Mon, 20 Jan 2025 11:47:32 +0000

=== debian/control ===
Source: gnome-desktop
Section: gnome
Priority: optional
Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders: Iain Lane <laney@debian.org>, Jeremy Bícha <jbicha@ubuntu.com>, Laurent Bigonville <bigon@debian.org>, Marco Trevisan (Treviño) <marco@ubuntu.com>, Sjoerd Simons <sjoerd@debian.org>, Tim Lunn <tim@feathertop.org>
Build-Depends: debhelper-compat (= 13),
               dh-sequence-gir,
               dh-sequence-gnome (>= 0.22.7~),
               dpkg-build-api (= 1),
               dpkg-dev (>= 1.22.5),
               docbook-xml,
               fonts-cantarell <!nocheck>,
               gir1.2-gdesktopenums-3.0-dev,
               gir1.2-gdk-4.0-dev,
               gir1.2-gdkpixbuf-2.0-dev,
               gir1.2-gio-2.0-dev,
               gir1.2-gobject-2.0-dev,
               gir1.2-gtk-3.0-dev,
               gobject-introspection (>= 1.80),
               gsettings-desktop-schemas-dev,
               gtk-doc-tools,
               iso-codes,
               itstool,
               libgdk-pixbuf-2.0-dev,
               libgl-dev,
               libglib2.0-dev,
               libglib2.0-doc,
               libgtk-3-dev,
               libgtk-4-dev (>= 4.4.0),
               libgtk-3-doc,
               libseccomp-dev [!hurd-any !kfreebsd-any !linux-alpha !linux-ia64 !linux-m68k !linux-sh4 !linux-sparc64],
               libsystemd-dev [linux-any],
               libudev-dev [linux-any],
               libxkbregistry-dev,
               locales <!nocheck> | locales-all <!nocheck>,
               meson,
               pkgconf,
               xauth <!nocheck>,
               xkb-data,
               xvfb <!nocheck>
Rules-Requires-Root: no
Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-desktop
Vcs-Git: https://salsa.debian.org/gnome-team/gnome-desktop.git
Standards-Version: 4.7.2

Package: gnome-desktop3-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Breaks: libgnome-desktop-3-17 (<< 3.36),
        libgnome-desktop-3-18 (<< 3.36),
Description: Common files for GNOME desktop apps
 This package includes some files that are shared between several GNOME
 apps (internationalization files).

Package: gnome-desktop-3-tests
Architecture: any
Depends: libgnome-desktop-3-20t64 (= ${binary:Version}),
         gnome-desktop3-data (= ${source:Version}),
         locales | locales-all,
         ${misc:Depends},
         ${shlibs:Depends}
Breaks: libgnome-desktop-3-19 (<< 40),
        libgnome-desktop-3-dev (<< 40),
        libgnome-desktop-3-dev-bin (<< 42~),
Replaces: libgnome-desktop-3-dev-bin (<< 42~),
Description: Installed test files for GNOME desktop
 This package contains test programs designed to be run as part of a
 regression testsuite, and manual test programs designed to be run by
 developers.

Package: libgnome-desktop-3-20t64
Provides: ${t64:Provides}
Replaces: libgnome-desktop-3-20
Breaks: libgnome-desktop-3-20 (<< ${source:Version})
Section: libs
Architecture: any
Multi-Arch: same
Depends: bubblewrap [linux-any],
         gnome-desktop3-data (>= ${source:Version}),
         gnome-desktop3-data (<< ${gnome:NextVersion}),
         gsettings-desktop-schemas,
         iso-codes,
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: locales | locales-all
Description: Utility library for the GNOME desktop - GTK 3 version
 This library provides various utility functions that are used in multiple
 components of the GNOME desktop, but do not have a sufficiently stable API
 to be included in core libraries such as GLib and GTK.
 .
 This package provides a legacy GTK-3-based library with functionality
 similar to a combination of libgnome-bg-4-2t64, libgnome-desktop-4-2t64
 and libgnome-rr-4-2t64, for compatibility with older GNOME components.

Package: libgnome-desktop-3-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: gir1.2-gnomedesktop-3.0 (= ${binary:Version}),
         gsettings-desktop-schemas-dev,
         iso-codes,
         libgnome-desktop-3-20t64 (= ${binary:Version}),
         libgtk-3-dev,
         libseccomp-dev [!hurd-any !kfreebsd-any !linux-alpha !linux-ia64 !linux-m68k !linux-sh4 !linux-sparc64],
         libsystemd-dev [linux-any],
         libudev-dev [linux-any],
         libxkbregistry-dev,
         ${gir:Depends},
         ${misc:Depends},
         ${shlibs:Depends}
Provides: ${gir:Provides}
Description: Utility library for the GNOME desktop - development files (GTK 3)
 This package provides the include files and static library for the GNOME
 desktop library functions.

Package: libgnome-bg-4-2t64
Provides: ${t64:Provides}
Replaces: libgnome-bg-4-2
Breaks: libgnome-bg-4-2 (<< ${source:Version})
Section: libs
Architecture: any
Multi-Arch: same
Depends: gsettings-desktop-schemas,
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: locales | locales-all
Description: Utility library for background images - runtime files
 The gnome-desktop set of libraries provides various utility functions
 that are used in multiple components of the GNOME desktop, but do not
 have a sufficiently stable API to be included in core libraries such
 as GLib and GTK.
 .
 This library provides utilities for managing background images (wallpaper).

Package: libgnome-desktop-4-2t64
Provides: ${t64:Provides}
Replaces: libgnome-desktop-4-2
Breaks: libgnome-desktop-4-2 (<< ${source:Version})
Section: libs
Architecture: any
Multi-Arch: same
Depends: bubblewrap [linux-any],
         gnome-desktop3-data (>= ${source:Version}),
         gnome-desktop3-data (<< ${gnome:NextVersion}),
         gsettings-desktop-schemas,
         iso-codes,
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: locales | locales-all
Description: Utility library for the GNOME desktop - runtime files
 The gnome-desktop set of libraries provides various utility functions
 that are used in multiple components of the GNOME desktop, but do not
 have a sufficiently stable API to be included in core libraries such
 as GLib and GTK.
 .
 This library provides miscellaneous non-GUI utilities, including
 sandboxed image thumbnailing, localization-related utilities, idle time
 monitoring, a simplified interface to the udev hardware database,
 putting processes into systemd scopes, user-facing time representation
 and keyboard layout information.

Package: libgnome-rr-4-2t64
Provides: ${t64:Provides}
Replaces: libgnome-rr-4-2
Breaks: libgnome-rr-4-2 (<< ${source:Version})
Section: libs
Architecture: any
Multi-Arch: same
Depends: gnome-desktop3-data (>= ${source:Version}),
         gnome-desktop3-data (<< ${gnome:NextVersion}),
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: locales | locales-all
Description: Utility library for display information - runtime files
 The gnome-desktop set of libraries provides various utility functions
 that are used in multiple components of the GNOME desktop, but do not
 have a sufficiently stable API to be included in core libraries such
 as GLib and GTK.
 .
 This library provides utilities for display mode-setting, resizing and
 rotation using the XRandR protocol or Wayland.

Package: libgnome-bg-4-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: gir1.2-gnomebg-4.0 (= ${binary:Version}),
         gsettings-desktop-schemas-dev,
         libgnome-bg-4-2t64 (= ${binary:Version}),
         libgnome-desktop-4-dev (= ${binary:Version}),
         libgtk-4-dev (>= 4.4.0),
         ${gir:Depends},
         ${misc:Depends},
         ${shlibs:Depends}
Provides: ${gir:Provides}
Description: Background image library for GNOME - development files (GTK 4)
 The gnome-desktop set of libraries provides various utility functions
 that are used in multiple components of the GNOME desktop, but do not
 have a sufficiently stable API to be included in core libraries such
 as GLib and GTK.
 .
 This package contains development files to compile programs that deal with
 background images.

Package: libgnome-desktop-4-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: gir1.2-gnomedesktop-4.0 (= ${binary:Version}),
         gsettings-desktop-schemas-dev,
         iso-codes,
         libgdk-pixbuf-2.0-dev,
         libgnome-desktop-4-2t64 (= ${binary:Version}),
         libseccomp-dev [!hurd-any !kfreebsd-any !linux-alpha !linux-ia64 !linux-m68k !linux-sh4 !linux-sparc64],
         libsystemd-dev [linux-any],
         libudev-dev [linux-any],
         libxkbregistry-dev,
         ${gir:Depends},
         ${misc:Depends},
         ${shlibs:Depends}
Provides: ${gir:Provides}
Description: Utility library for the GNOME desktop - development files (GTK 4)
 The gnome-desktop set of libraries provides various utility functions
 that are used in multiple components of the GNOME desktop, but do not
 have a sufficiently stable API to be included in core libraries such
 as GLib and GTK.
 .
 This package contains development files to compile programs that use
 miscellaneous non-GUI utility functions.

Package: libgnome-rr-4-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: gir1.2-gnomerr-4.0 (= ${binary:Version}),
         gsettings-desktop-schemas-dev,
         libgnome-desktop-4-dev (= ${binary:Version}),
         libgnome-rr-4-2t64 (= ${binary:Version}),
         libgtk-4-dev (>= 4.4.0),
         ${gir:Depends},
         ${misc:Depends},
         ${shlibs:Depends}
Provides: ${gir:Provides}
Description: Display information library for GNOME - development files (GTK 4)
 The gnome-desktop set of libraries provides various utility functions
 that are used in multiple components of the GNOME desktop, but do not
 have a sufficiently stable API to be included in core libraries such
 as GLib and GTK.
 .
 This package contains development files to compile programs that deal with
 display modes.

Package: gir1.2-gnomedesktop-3.0
Section: introspection
Architecture: any
Multi-Arch: same
Depends: ${gir:Depends},
         ${misc:Depends},
         ${shlibs:Depends}
Description: Introspection data for GnomeDesktop (GTK 3)
 This package provides the include files and static library for the GNOME
 desktop library functions.
 .
 This package contains the introspection data for GnomeDesktop

Package: gir1.2-gnomebg-4.0
Section: introspection
Architecture: any
Multi-Arch: same
Depends: ${gir:Depends},
         ${misc:Depends},
         ${shlibs:Depends}
Description: Introspection data for GnomeBG (GTK 4)
 The gnome-desktop set of libraries provides various utility functions
 that are used in multiple components of the GNOME desktop, but do not
 have a sufficiently stable API to be included in core libraries such
 as GLib and GTK.
 .
 This package contains GObject-Introspection bindings for background image
 (wallpaper) management.

Package: gir1.2-gnomedesktop-4.0
Section: introspection
Architecture: any
Multi-Arch: same
Depends: ${gir:Depends},
         ${misc:Depends},
         ${shlibs:Depends}
Breaks: gnome-shell (<< 42~alpha)
Description: Introspection data for GnomeDesktop (GTK 4)
 The gnome-desktop set of libraries provides various utility functions
 that are used in multiple components of the GNOME desktop, but do not
 have a sufficiently stable API to be included in core libraries such
 as GLib and GTK.
 .
 This package contains GObject-Introspection bindings for miscellaneous
 utility functions.

Package: gir1.2-gnomerr-4.0
Section: introspection
Architecture: any
Multi-Arch: same
Depends: ${gir:Depends},
         ${misc:Depends},
         ${shlibs:Depends}
Description: Introspection data for GnomeRR (GTK 4)
 The gnome-desktop set of libraries provides various utility functions
 that are used in multiple components of the GNOME desktop, but do not
 have a sufficiently stable API to be included in core libraries such
 as GLib and GTK.
 .
 This package contains GObject-Introspection bindings for display mode
 management.

Package: libgnome-desktop-doc
Build-Profiles: <!nodoc>
Architecture: all
Multi-Arch: foreign
Section: doc

=== debian/tests/control ===
Tests: libgnome-desktop-3-dev
Depends: build-essential, libgnome-desktop-3-dev, pkgconf
Restrictions: allow-stderr superficial

Tests: libgnome-bg-4-dev
Depends: build-essential, libgnome-bg-4-dev, pkgconf
Restrictions: allow-stderr superficial

Tests: libgnome-desktop-4-dev
Depends: build-essential, libgnome-desktop-4-dev, pkgconf
Restrictions: allow-stderr superficial

Tests: libgnome-rr-4-dev
Depends: build-essential, libgnome-rr-4-dev, pkgconf
Restrictions: allow-stderr superficial

Tests: installed-tests
Depends: dbus (>= 1.8), gnome-desktop-testing, gnome-desktop-3-tests, locales | locales-all, xauth, xvfb
Restrictions: allow-stderr superficial

## gnome-desktop 44.4

=== meson_options.txt ===
option('desktop_docs',
  type: 'boolean', value: true,
  description: 'Build desktop-wide help documents'
)

option('debug_tools',
  type: 'boolean', value: true, description: 'Build debug tools'
)

option('introspection',
  type: 'boolean', value: true, description: 'Whether to build introspection files'
)

option('udev',
  type: 'feature', description: 'Udev support'
)

option('systemd',
  type: 'feature', description: 'Systemd integration support'
)

option('gtk_doc',
  type: 'boolean', value: false, description: 'Build API reference'
)

option('installed_tests',
  type: 'boolean', value: false, description: 'Enable installed tests'
)

option('build_gtk4',
  type: 'boolean', value: true, description: 'Enable GTK4 libraries'
)

option('legacy_library',
  type: 'boolean', value: true, description: 'Build the legacy libgnome-desktop-3.0'
)

=== debian/changelog ===
gnome-desktop (44.4-1) unstable; urgency=medium

  * New upstream release
  * Remove obsolete Rules-Requires-Root: no field

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 04 Sep 2025 14:19:58 -0400

=== debian/control ===
--- 
+++ 
@@ -38,7 +38,6 @@
                xauth <!nocheck>,
                xkb-data,
                xvfb <!nocheck>
-Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-desktop
 Vcs-Git: https://salsa.debian.org/gnome-team/gnome-desktop.git
 Standards-Version: 4.7.2
@@ -318,3 +317,4 @@
 Architecture: all
 Multi-Arch: foreign
 Section: doc
+Pre-Depends: ${misc:Pre-Depends}

## gnome-desktop 44.5

=== debian/changelog ===
gnome-desktop (44.5-1ubuntu1) resolute; urgency=medium

  * d/p: Add gnome-qr library to generate QR codes
  * d/copyright: Ad qrcodegen subproject license
  * debian: Add Packages for gnome-qr-4 and gnome-qr-gtk-4 libraries
  * debian/salsa-ci: Add ubuntu settings
  * d/tests: Add autopkgtest for libgnome-qr-4
  * d/tests: Add autopkgtest for libgnome-qr-gtk-4

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Mon, 09 Feb 2026 05:39:42 +0100

gnome-desktop (44.5-1) unstable; urgency=medium

  * New upstream release
  * d/p: Refresh

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Mon, 09 Feb 2026 02:12:02 +0100

gnome-desktop (44.4-2) unstable; urgency=medium

  * d/p: Add upstream patches including memory and tests fixes
  * d/p: Hide private symbols from public libraries.
  * d/libgnome-desktop-*.symbols: Drop a private symbol that leaked into API.
    It was not exposed by public headers, so not something that was meant to
    be used anyways.

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Sun, 08 Feb 2026 17:06:39 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: gnome-desktop
 Section: gnome
 Priority: optional
-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
 Uploaders: Iain Lane <laney@debian.org>, Jeremy Bícha <jbicha@ubuntu.com>, Laurent Bigonville <bigon@debian.org>, Marco Trevisan (Treviño) <marco@ubuntu.com>, Sjoerd Simons <sjoerd@debian.org>, Tim Lunn <tim@feathertop.org>
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-gir,
@@ -26,7 +27,7 @@
                libglib2.0-dev,
                libglib2.0-doc,
                libgtk-3-dev,
-               libgtk-4-dev (>= 4.4.0),
+               libgtk-4-dev (>= 4.12.0),
                libgtk-3-doc,
                libseccomp-dev [!hurd-any !kfreebsd-any !linux-alpha !linux-ia64 !linux-m68k !linux-sh4 !linux-sparc64],
                libsystemd-dev [linux-any],
@@ -38,8 +39,10 @@
                xauth <!nocheck>,
                xkb-data,
                xvfb <!nocheck>
-Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-desktop
-Vcs-Git: https://salsa.debian.org/gnome-team/gnome-desktop.git
+XS-Debian-Vcs-Git: https://salsa.debian.org/gnome-team/gnome-desktop.git
+XS-Debian-Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-desktop
+Vcs-Git: https://salsa.debian.org/gnome-team/gnome-desktop.git -b ubuntu/master
+Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-desktop/tree/ubuntu/master
 Standards-Version: 4.7.2
 
 Package: gnome-desktop3-data
@@ -159,6 +162,37 @@
  putting processes into systemd scopes, user-facing time representation
  and keyboard layout information.
 
+Package: libgnome-qr-4-0
+Provides: ${t64:Provides}
+Section: libs
+Architecture: any
+Multi-Arch: same
+Depends: ${misc:Depends},
+         ${shlibs:Depends}
+Description: Utility library for QR Codes - runtime files
+ The gnome-desktop set of libraries provides various utility functions
+ that are used in multiple components of the GNOME desktop, but do not
+ have a sufficiently stable API to be included in core libraries such
+ as GLib and GTK.
+ .
+ This library provides utilities for creating QR Codes textures.
+
+Package: libgnome-qr-gtk-4-0
+Provides: ${t64:Provides}
+Section: libs
+Architecture: any
+Multi-Arch: same
+Depends: ${misc:Depends},
+         ${shlibs:Depends}
+Recommends: locales | locales-all
+Description: Utility library for GTK4 QR codes - runtime files
+ The gnome-desktop set of libraries provides various utility functions
+ that are used in multiple components of the GNOME desktop, but do not
+ have a sufficiently stable API to be included in core libraries such
+ as GLib and GTK.
+ .
+ This library provides utilities for creating QR Codes GTK Widgets.
+
 Package: libgnome-rr-4-2t64
 Provides: ${t64:Provides}
 Replaces: libgnome-rr-4-2
@@ -250,71 +284,29 @@
  This package contains development files to compile programs that deal with
  display modes.
 
-Package: gir1.2-gnomedesktop-3.0
-Section: introspection
-Architecture: any
-Multi-Arch: same
-Depends: ${gir:Depends},
-         ${misc:Depends},
-         ${shlibs:Depends}
-Description: Introspection data for GnomeDesktop (GTK 3)
- This package provides the include files and static library for the GNOME
- desktop library functions.
- .
- This package contains the introspection data for GnomeDesktop
-
-Package: gir1.2-gnomebg-4.0
-Section: introspection
-Architecture: any
-Multi-Arch: same
-Depends: ${gir:Depends},
-         ${misc:Depends},
-         ${shlibs:Depends}
-Description: Introspection data for GnomeBG (GTK 4)
- The gnome-desktop set of libraries provides various utility functions
- that are used in multiple components of the GNOME desktop, but do not
- have a sufficiently stable API to be included in core libraries such
- as GLib and GTK.
- .
- This package contains GObject-Introspection bindings for background image
- (wallpaper) management.
-
-Package: gir1.2-gnomedesktop-4.0
-Section: introspection
-Architecture: any
-Multi-Arch: same
-Depends: ${gir:Depends},
-         ${misc:Depends},
-         ${shlibs:Depends}
-Breaks: gnome-shell (<< 42~alpha)
-Description: Introspection data for GnomeDesktop (GTK 4)
- The gnome-desktop set of libraries provides various utility functions
- that are used in multiple components of the GNOME desktop, but do not
- have a sufficiently stable API to be included in core libraries such
- as GLib and GTK.
- .
- This package contains GObject-Introspection bindings for miscellaneous
- utility functions.
-
-Package: gir1.2-gnomerr-4.0
-Section: introspection
-Architecture: any
-Multi-Arch: same
-Depends: ${gir:Depends},
-         ${misc:Depends},
-         ${shlibs:Depends}
-Description: Introspection data for GnomeRR (GTK 4)
- The gnome-desktop set of libraries provides various utility functions
- that are used in multiple components of the GNOME desktop, but do not
- have a sufficiently stable API to be included in core libraries such
- as GLib and GTK.
- .
- This package contains GObject-Introspection bindings for display mode
- management.
-
-Package: libgnome-desktop-doc
-Build-Profiles: <!nodoc>
-Architecture: all
-Multi-Arch: foreign
-Section: doc
-Pre-Depends: ${misc:Pre-Depends}
+Package: libgnome-qr-4-dev
+Section: libdevel
+Architecture: any
+Multi-Arch: same
+Depends: gir1.2-gnomeqr-4.0 (= ${binary:Version}),
+         libgnome-qr-4-0 (= ${binary:Version}),
+         libglib2.0-dev,
+         ${gir:Depends},
+         ${misc:Depends},
+         ${shlibs:Depends}
+Provides: ${gir:Provides}
+Description: QR Codes library for GNOME - development files
+ The gnome-desktop set of libraries provides various utility functions
+ that are used in multiple components of the GNOME desktop, but do not
+ have a sufficiently stable API to be included in core libraries such
+ as GLib and GTK.
+ .
+ This package contains development files to compile programs that deal with
+ QR codes.
+
+Package: libgnome-qr-gtk-4-dev
+Section: libdevel
+Architecture: any
+Multi-Arch: same
+Depends: gir1.2-gnomeqrgtk-4.0 (= ${binary:Version}),
+         libgnome-qr-4-dev (= ${binary:Version}),

=== debian/rules ===
#!/usr/bin/make -f

built_binaries := $(shell dh_listpackages)

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1 -Wl,-z,defs
export DPKG_GENSYMBOLS_CHECK_LEVEL = 4

LIBGD_PKG := $(filter-out %-dev %-bin %-doc,$(shell awk '/^Package: libgnome-desktop-4-/ { print $$2 }' debian/control))
export GD_LIBNAME = $(LIBGD_PKG)
export GD_SOVERSION = $(shell echo $(GD_LIBNAME) | rev | cut -f1 -d- | rev | sed 's/t64//')
export GD_API_VERSION = $(shell echo $(GD_LIBNAME) | rev | cut -f2 -d- | rev | sed 's/t64//')

LIBGD_QR_PKG := $(filter-out %-dev %-bin %-doc,$(shell awk '/^Package: libgnome-qr-[0-9]+-/ { print $$2 }' debian/control))
export GD_QR_LIBNAME = $(LIBGD_QR_PKG)
export GD_QR_SOVERSION = $(shell echo $(GD_QR_LIBNAME) | rev | cut -f1 -d- | rev)
export GD_QR_API_VERSION = $(shell echo $(GD_QR_LIBNAME) | rev | cut -f2 -d- | rev)

LIBGD_QR_GTK_PKG := $(filter-out %-dev %-bin %-doc,$(shell awk '/^Package: libgnome-qr-gtk-[0-9]+-/ { print $$2 }' debian/control))
export GD_QR_GTK_LIBNAME = $(LIBGD_QR_GTK_PKG)
export GD_QR_GTK_SOVERSION = $(shell echo $(GD_QR_GTK_LIBNAME) | rev | cut -f1 -d- | rev)
export GD_QR_GTK_API_VERSION = $(shell echo $(GD_QR_GTK_LIBNAME) | rev | cut -f2 -d- | rev)

%:
	dh $@

override_dh_gnome_clean:
	dh_gnome_clean --no-control

override_dh_auto_configure:
	dh_auto_configure -- \
		-Dgtk_doc=true \
		-Dinstalled_tests=true \
		-Ddesktop_docs=true

override_dh_auto_test:
	debian/tests/run-with-locales \
		--generate en_US.UTF-8 \
		--generate he_IL.UTF-8 \
		--generate ja_JP.UTF-8 \
		-- \
	env \
		NO_AT_BRIDGE=1 \
		G_MESSAGES_DEBUG=all \
	dh_auto_test -- --wrap="xvfb-run -a"

# debhelper >= 13.4 makes all of /usr/libexec executable, which is not
# quite right for installed-tests
override_dh_fixperms:
	dh_fixperms -Xusr/libexec/installed-tests
ifneq ($(filter %-tests,$(built_binaries)),)
	chmod --recursive --changes a+rX,u+w,og-w debian/*-tests/usr/libexec/installed-tests
endif

# Ubuntu-specific
override_dh_translations:
	dh_translations --domain=gnome-desktop-3.0

=== debian/tests/control ===
--- 
+++ 
@@ -10,6 +10,14 @@
 Depends: build-essential, libgnome-desktop-4-dev, pkgconf
 Restrictions: allow-stderr superficial
 
+Tests: libgnome-qr-4-dev
+Depends: build-essential, libgnome-qr-4-dev, pkgconf
+Restrictions: allow-stderr superficial
+
+Tests: libgnome-qr-gtk-4-dev
+Depends: build-essential, libgnome-qr-gtk-4-dev, pkgconf, xvfb
+Restrictions: allow-stderr superficial
+
 Tests: libgnome-rr-4-dev
 Depends: build-essential, libgnome-rr-4-dev, pkgconf
 Restrictions: allow-stderr superficial
